Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.util.mime
Class Base64OutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--cryptix.util.mime.Base64OutputStream

public class Base64OutputStream
extends java.io.FilterOutputStream

This class implements a BASE64 Character stream decoder as specified in RFC1521, part of the MIME specification as published by the Internet Engineering Task Force (IETF).

Copyright © 1995-1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.1.1.1 $

Since:
  Cryptix 2.2.2
Author:
  Raif S. Naffah, David Hopwood

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`Base64OutputStream(java.io.OutputStream os)` Creates a Base64OutputStream with no checksum.
`Base64OutputStream(java.io.OutputStream os, boolean check)` If check is true then append a PGP-style checksum immediately after the base64 portion.
`Base64OutputStream(java.io.OutputStream os, java.util.zip.Checksum checksum, int length)` Creates a Base64OutputStream that uses the given checksum.

Method Summary
`void` | `close()`
`void` | `write(byte[] b, int offset, int length)`
`void` | `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64OutputStream

    public Base64OutputStream(java.io.OutputStream os,
                              boolean check)

  If check is true then append a PGP-style checksum immediately after the base64 portion.
  See Also:
    `PRZ24`

### Base64OutputStream

    public Base64OutputStream(java.io.OutputStream os)

  Creates a Base64OutputStream with no checksum.

### Base64OutputStream

    public Base64OutputStream(java.io.OutputStream os,
                              java.util.zip.Checksum checksum,
                              int length)

  Creates a Base64OutputStream that uses the given checksum. The checksum will be length bytes long, where 0 <= length <= 8.

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(byte[] b,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    write in class java.io.FilterOutputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.FilterOutputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.